Name:           file-roller
Version:        43.0
Release:        1
Summary:        An archive manager utility for the GNOME Environment
License:        GPLv2+
URL:            https://wiki.gnome.org/Apps/FileRoller
Source0:        https://download.gnome.org/sources/%{name}/43/%{name}-%{version}.tar.xz

BuildRequires:  cpio gettext gcc itstool file-devel pkgconfig(gthread-2.0) pkgconfig(libhandy-1)
BuildRequires:  meson >= 0.43 pkgconfig(glib-2.0) >= 2.36 pkgconfig(gtk+-3.0) >= 3.13.2 pkgconfig(libnautilus-extension-4) >= 43.1
BuildRequires:  pkgconfig(json-glib-1.0) >= 0.14.0 pkgconfig(libnotify) >= 0.4.3 pkgconfig(libarchive) >= 3.0.0
BuildRequires:  libappstream-glib desktop-file-utils
BuildRequires:  pkgconfig(libportal)
BuildRequires:  pkgconfig(libportal-gtk3)

%description
File Roller is an archive manager that you can create and modify archives;
view the content of an archive;view and modify a file contained in the
archive; extract files from the archive.

%package nautilus
Summary: File Roller extension for nautilus
Requires: %{name}%{_isa} = %{version}-%{release}

%description nautilus
The nautilus package includes the extension for the nautilus file manager. The item
contains in the nautilus context menu allow you to compress directories or files.

%prep
%autosetup -p1

%build
%meson
%meson_build

%install
%meson_install

%find_lang %{name} --with-gnome

%check
sed -i '/43.alpha/d' %{buildroot}%{_datadir}/metainfo/org.gnome.FileRoller.appdata.xml
appstream-util validate-relax --nonet %{buildroot}%{_datadir}/metainfo/org.gnome.FileRoller.appdata.xml
desktop-file-validate %{buildroot}%{_datadir}/applications/org.gnome.FileRoller.desktop

%files -f %{name}.lang
%doc README.md AUTHORS COPYING NEWS
%{_bindir}/file-roller
%{_datadir}/file-roller
%{_datadir}/applications/org.gnome.FileRoller.desktop
%{_libexecdir}/file-roller
%{_datadir}/dbus-1/services/org.gnome.ArchiveManager1.service
%{_datadir}/dbus-1/services/org.gnome.FileRoller.service
%{_datadir}/glib-2.0/schemas/org.gnome.FileRoller.gschema.xml
%{_datadir}/icons/hicolor/scalable/apps/org.gnome.FileRoller*.svg
%{_datadir}/icons/hicolor/symbolic/apps/org.gnome.FileRoller-symbolic.svg
%{_datadir}/metainfo/org.gnome.FileRoller.appdata.xml

%files nautilus
%{_libdir}/nautilus/extensions-4/libnautilus-fileroller.so

%changelog
* Wed Feb 08 2023 Wenlong Ding <wenlong.ding@turbolinux.com.cn> - 43.0-1
- Upgrade to 43.0

* Tue Jun 21 2022 weijin deng <weijin.deng@turbolinux.com.cn> - 3.42.0-1
- Upgrade to 3.42.0

* Tue Jun 15 2021 weijin deng <weijin.deng@turbolinux.com.cn> - 3.38.1-1
- Upgrade to 3.38.1
- Change files list

* Thu Oct 17 2019 Yiru Wang <wangyiru1@huawei.com> - 1.20.7-17
- Pakcage init
